Skip to main content
POST
/
application
/
{applicationId}
/
clone
Clone application
curl --request POST \
  --url https://api.qovery.com/application/{applicationId}/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "name": "<string>",
  "healthchecks": {
    "readiness_probe": {
      "type": {
        "tcp": {
          "port": 123,
          "host": null
        },
        "http": {
          "path": "/",
          "scheme": "HTTP",
          "port": 123
        },
        "exec": {
          "command": [
            "sh",
            "-c",
            "test -f /tmp/healthy"
          ]
        },
        "grpc": {
          "service": null,
          "port": 123
        }
      },
      "initial_delay_seconds": 30,
      "period_seconds": 10,
      "timeout_seconds": 5,
      "success_threshold": 1,
      "failure_threshold": 9
    },
    "liveness_probe": {
      "type": {
        "tcp": {
          "port": 123,
          "host": null
        },
        "http": {
          "path": "/",
          "scheme": "HTTP",
          "port": 123
        },
        "exec": {
          "command": [
            "sh",
            "-c",
            "test -f /tmp/healthy"
          ]
        },
        "grpc": {
          "service": null,
          "port": 123
        }
      },
      "initial_delay_seconds": 30,
      "period_seconds": 10,
      "timeout_seconds": 5,
      "success_threshold": 1,
      "failure_threshold": 9
    }
  },
  "icon_uri": "<string>",
  "service_type": "APPLICATION",
  "updated_at": "2023-11-07T05:31:56Z",
  "storage": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "FAST_SSD",
      "size": 16,
      "mount_point": "/mnt/images"
    }
  ],
  "git_repository": {
    "provider": "BITBUCKET",
    "owner": "John Doe",
    "url": "<string>",
    "name": "simple-node-app",
    "has_access": true,
    "branch": "<string>",
    "root_path": "<string>",
    "deployed_commit_id": "<string>",
    "deployed_commit_date": "2023-11-07T05:31:56Z",
    "deployed_commit_contributor": "<string>",
    "deployed_commit_tag": "v1.0.1",
    "git_token_id": "<string>",
    "git_token_name": "<string>"
  },
  "maximum_cpu": 16000,
  "maximum_memory": 16384,
  "maximun_gpu": 0,
  "description": "<string>",
  "build_mode": "DOCKER",
  "dockerfile_path": "<string>",
  "cpu": 1250,
  "memory": 1024,
  "gpu": 0,
  "min_running_instances": 1,
  "max_running_instances": 1,
  "auto_preview": true,
  "ports": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "internal_port": 8080,
      "publicly_accessible": true,
      "protocol": "HTTP",
      "name": "<string>",
      "external_port": 8080,
      "is_default": true,
      "public_path": "<string>",
      "public_path_rewrite": "<string>"
    }
  ],
  "arguments": [
    "<string>"
  ],
  "entrypoint": "<string>",
  "auto_deploy": true,
  "annotations_groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "annotations": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "scopes": [
        "DEPLOYMENTS"
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "labels_groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "labels": [
        {
          "key": "<string>",
          "value": "<string>",
          "propagate_to_cloud_provider": true
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "docker_target_build_stage": "<string>",
  "autoscaling": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mode": "KEDA",
    "polling_interval_seconds": 123,
    "cooldown_period_seconds": 123,
    "scalers": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "scaler_type": "<string>",
        "enabled": true,
        "role": "PRIMARY",
        "updated_at": "2023-11-07T05:31:56Z",
        "config_json": {},
        "config_yaml": "<string>",
        "trigger_authentication": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "organization_id": "<string>",
          "name": "<string>",
          "updated_at": "2023-11-07T05:31:56Z",
          "config_yaml": "<string>"
        }
      }
    ],
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

applicationId
string<uuid>
required

Application ID

Body

application/json
name
string
required
environment_id
string<uuid>
required

Response

Application clone has been requested

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
environment
object
required
name
string
required

name is case insensitive

healthchecks
object
required
icon_uri
string<uri>
required

Icon URI representing the application.

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
updated_at
string<date-time>
read-only
storage
object[]
git_repository
object
maximum_cpu
integer

Maximum cpu that can be allocated to the application based on organization cluster configuration. unit is millicores (m). 1000m = 1 cpu

Example:

16000

maximum_memory
integer

Maximum memory that can be allocated to the application based on organization cluster configuration. unit is MB. 1024 MB = 1GB

Example:

16384

maximun_gpu
integer
default:0
Required range: x >= 0
description
string

give a description to this application

build_mode
enum<string>
default:DOCKER

DOCKER requires dockerfile_path

Available options:
DOCKER
dockerfile_path
string | null

The path of the associated Dockerfile. Only if you are using build_mode = DOCKER

cpu
integer

unit is millicores (m). 1000m = 1 cpu

Example:

1250

memory
integer

unit is MB. 1024 MB = 1GB

Example:

1024

gpu
integer
default:0
Required range: x >= 0
min_running_instances
integer
default:1

Minimum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: 0 means that there is no application running.

Required range: x >= 0
max_running_instances
integer
default:1

Maximum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: -1 means that there is no limit.

auto_preview
boolean
default:true

Specify if the environment preview option is activated or not for this application.
If activated, a preview environment will be automatically cloned at each pull request.
If not specified, it takes the value of the auto_preview property from the associated environment.

ports
object[]
arguments
string[]
entrypoint
string

optional entrypoint when launching container

auto_deploy
boolean

Specify if the application will be automatically updated after receiving a new commit.

annotations_groups
object[]
labels_groups
object[]
docker_target_build_stage
string | null

The target build stage in the Dockerfile to build

autoscaling
AutoscalingPolicyResponse · object